%define oname libmad
%define major 0
%define libname %mklibname mad %{major}
%define develname %mklibname -d mad

Summary:	High-quality MPEG Audio Decoder
Name:		mad
Version:	0.15.1b
Release:	13
License:	GPLv2+
Group:		Sound
URL:		http://www.underbit.com/products/mad/
Source0:	http://prdownloads.sourceforge.net/mad/%oname-%version.tar.bz2
Source2:	mad.pc
Patch0:		libmad-no_-fforce-mem.diff

%description
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2  extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II, 
and Layer III a.k.a. MP3) are fully implemented.

MAD does not yet support MPEG-2 multichannel audio (although it should 
be backward compatible with such streams) nor does it currently support AAC.

MAD has the following special features:
    * 24-bit PCM output
    * 100% fixed-point (integer) computation
    * completely new implementation based on the ISO/IEC standards

%package -n %{libname}
Summary:	High-quality MPEG Audio Decoder
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2  extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II, 
and Layer III a.k.a. MP3) are fully implemented.

MAD does not yet support MPEG-2 multichannel audio (although it should
be backward compatible with such streams) nor does it currently support AAC.

MAD has the following special features:
    * 24-bit PCM output
    * 100% fixed-point (integer) computation
    * completely new implementation based on the ISO/IEC standards

%package -n %{develname}
Summary:	Development tools for programs which will use the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	zlib-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}
Obsoletes:	%mklibname -d mad 0

%description -n %{develname}
This package includes the header files and static libraries
necessary for developing programs using the %{name} library.
 
If you are going to develop programs which will use the %{name} library
you should install this.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0
rm -f configure
touch NEWS AUTHORS ChangeLog
autoreconf -fis

%build
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_libdir}/pkgconfig
install -m644 %{SOURCE2} %{buildroot}%{_libdir}/pkgconfig
sed -e 's,/lib$,/%{_lib},' %{buildroot}%{_libdir}/pkgconfig/mad.pc
sed -e "s/VERSION/%{version}/" %{buildroot}%{_libdir}/pkgconfig/mad.pc

%multiarch_includes %{buildroot}%{_includedir}/mad.h

%files -n %{libname}
%{_libdir}/libmad.so.%{major}*

%files -n %{develname}
%doc COPY* README TODO CHANGES CREDITS
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*.h
%{multiarch_includedir}/*.h


%changelog
* Mon Sep 17 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.1b-13
+ Revision: 817054
- spec file clean
- unbzip2 source 2
- fix mixture of tabs and spaces

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 0.15.1b-12
+ Revision: 666355
- mass rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - clean out old junk...

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.15.1b-10mdv2011.0
+ Revision: 606620
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.15.1b-9mdv2010.1
+ Revision: 523237
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.15.1b-8mdv2010.0
+ Revision: 426052
- rebuild

* Sun Jul 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.15.1b-7mdv2009.0
+ Revision: 232176
- added P0 to fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.15.1b-5mdv2008.1
+ Revision: 170974
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Wed Oct 24 2007 Götz Waschk <waschk@mandriva.org> 0.15.1b-4mdv2008.1
+ Revision: 101743
- new devel name
- update license tag

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.15.1b-4mdv2007.0
+ Revision: 108695
- Import mad

* Sun Jan 14 2007 Gtz Waschk <waschk@mandriva.org> 0.15.1b-4mdv2007.1
- rebuild

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.15.1b-4mdk
- Rebuild

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.15.1b-3mdk
- multiarch

* Fri Oct 01 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.15.1b-2mdk
- lib64 fixes to pkgconfig files

* Tue May 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.15.1b-1mdk
- spec fix
- don't libtoolize
- fix source URL
- New release 0.15.1b

